%define major 14

Name: pcmanfm-qt
Version: 1.4.1
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: pcman_settings.conf
Summary: File manager for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+
Group: Graphical desktop/LXQT
#-----------------------------------------
BuildRequires: 	cmake
BuildRequires: 	doxygen
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  %{_lib}menu-cache-devel
BuildRequires:  %{_lib}qt5xml-devel
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}lxqt-devel >= 1.4.0
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libfm-qt-devel >= 1.4.0
BuildRequires:  lxqt-build-tools >= 0.13.0
Requires:	libfm-qt >= 1.4.0
 

%description
File manager for the LXQt desktop

%package i10n
Summary:	Internationalization files for %{name}
Group:		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}

%prep
%setup -q %{name}-%{version}

# change desktop file name and comment to distinguish it from pcmanfm
sed -i 's/File Manager/QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

%cmake_qt5 -DBUILD_DOCUMENTATION=ON 

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --add-category="FileTools;X-MandrivaLinux-System-FileTools;" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/pcmanfm-qt/lxqt/settings.conf


%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/lxqt-desktop.desktop
%{_datadir}/pcmanfm-qt/lxqt/settings.conf
%{_datadir}/applications/*.desktop
%_mandir/man1/pcmanfm-qt.1.*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files i10n
%{_datadir}/%{name}/translations/%{name}_*.qm


%changelog
* Sat Feb 10 2024 daniel - 1.4.1-1pclos2024
- new version

* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Tue Jan 03 2023 daniel - 1.2.1-1pclos2023
- 1.2.1

* Sat Nov 05 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates
* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.1-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.1-2pclos2020
- rebuild against updates

* Wed May 20 2020 daniel <meisssw01 at gmail.com> 0.15.1-1pclos2020
- 0.15.1

* Mon May 04 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- adjust settings.conf

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 0.11.3-1pclos2017
- 0.11.3

* Mon Jan 30 2017 bb <bb> 0.11.1-3pclos2017
- adjust desktop file
* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2017
- rebuild with latest liblxqt-devel

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.11.2-1pclos2017
- update

* Thu Dec 08 2016 daniel <meisssw01 at gmail.com> 0.11.1-3pclos2017
- add libfm-qt as required libary

* Sun Nov 13 2016 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2016
- add git for translation files and put it in a seperate package

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.1-1pclos2016
- 0.11.1

* Tue Apr 05 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0
- add BR desktop-file-utils, libfm-qt-devel
- remove devel package and libfm-qt files they are included in the new libfm-qt packages

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
